Change Cluster Password

Change Cluster Password

Api to edit Cluster password

Request
URI
PUT
https://{api_host}/hybridity/api//infra/k8s/clusters/{id}/changePassword
COPY
Path Parameters
string
id
Required

id


Request Body

Edit Cluster Password

body_1 of type(s) application/json
Required
{
    "existingClusterPassword": "string",
    "clusterPassword": "string"
}
string
existingClusterPassword
Required

existingClusterPassword

string
clusterPassword
Required

clusterPassword

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully triggered update of cluster password

Returns clusterAPIResponse of type(s) application/json
{
    "id": "string",
    "operationId": "string"
}
string
id
Optional

id

string
operationId
Optional

operationId


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors